<!DOCTYPE html>
{% extends 'en/base.html' %}
{% block content %}
{% include 'en/navbar.html' %}
<div class="container">
	<div class="row">
		<div class="col">


			<form name='eval_prep' action="{{url_for('exec_eval_classification')}}" method='POST'>
				<input type="hidden" name="feat_list" value="{{feat_list}}">
				<input type="hidden" name="feat_pred" value="{{feat_pred}}">
				<input type="hidden" name="nclasses" value="{{nclasses}}">
				<input type="hidden" name="ratios" value="{{ratios}}">
				<div class="card mb-4">
					<div class="card-body">
						<P>  The value to be predicted is <strong>{{feat_pred}}</strong>, which contains the following classes :</P>
						<table class="table"> 
							<thead>
								<tr>
									<th scope="col">Class (value)</th>
									<th scope="col">Fraction</th>
								</tr>
							</thead>
							<tbody>
								{% for  k,v  in classes_dict.items() %}
								{% if nclasses>2 %} 
								<tr><td>{{v}}   ({{k}})</td><td> {{ratios[loop.index0]}}</td></tr> 		
								{% else %}
								<tr><td>
										<div class="form-check">
											<input class="form-check-input" type="radio" name="important" value="{{k}}" id="flexRadioDefault1"
																				    {% if k==1 %} checked {% endif %}
																				    >
																				    <label class="form-check-label" for="flexRadioDefault1">
																					    {{v}} ({{k}})
																				    </label>
										</div></td><td> {{ratios[loop.index0]}}</td></tr>
										{% endif %}
										{% endfor %}
							</tbody>
						</table>
						{% if nclasses==2 %} 
						<p>Select the most important class. For a binary classifier, it will be selected as best classifier the one that achieves a 
						better performance metric for the most important class. For a multiclass classifier it will be selected the one with the 
						best average performance for all the classes.
						</p>

						{% endif %}
						<P> For the following features:</P>
						<ul class="list-group">
							{% for i  in feat_list %}
							<li class="list-group-item border">
								{#<p class="fs-3">{{i}}</p>	#}	
								{{i}}		
							</li>
							{% endfor %}
						</ul>
						{%if nan_pred %}
						<div class="card">
							<div class="card-header bg-warning"> Data contains missing values for {{feat_pred}}. </div>
							<div class="card-body">
								<label for="imp_strategy">Select a method to impute values:</label>
								<select class="form-control" id="imp_strategy" name="strategy">
									<option value="remove" >Delete</option>

									{% for k,v  in classes_dict.items() %}
									<option value="{{k}}" >Constant with value  {{k}}</option>
									{%endfor%}
								</select>
								{% else %}
								<input type="hidden" name="strategy" value="none">
								{%endif%}
							</div>
						</div>
						{%if nans_features %}
						<div class="alert alert-primary" role="alert">
							Selected features contain missing values in the following features:
							<ul>
								{% for k,v  in nans_features.items() %}
								<li>{{k}} contains {{v}} missing values</li>	
								{%endfor%}	
							</ul>
							Currently, ORIENTATE only allows to impute missing values for the target variable. Rows with missing values will be removed for the evaluation. 
							Please, consider imputing or removing missing values before uploading the dataset and reupload.
						</div>
						{%endif%}
						<div class="card">
							<div class="card-body">
						<div class="form-group">
							<label for="metric">Select the metric to evaluate:</label>
							<select class="form-control" id="metric" name="metric">
								<option value="0" >f1</option>
								<option value="1" >recall</option>
								<option value="2" >precision</option>
							</select>	
						</div>
 						</div>
						</div>
						<div class="form-check">
							<input class="form-check-input" type="radio" name="use_one_hots" value="1" id="flexRadioDefault2" checked >
							<label class="form-check-label" for="flexRadioDefault2">
								Use "OneHotEncoders" (default)
							</label>
						</div>
						<div class="form-check">
							<input class="form-check-input" type="radio" name="use_one_hots" value="0" id="flexRadioDefault3"  >
							<label class="form-check-label" for="flexRadioDefault3">
								Do not use "OneHotEncoders"
							</label>
						</div>
						<div class="select-custom-content">
							<button class="btn-save btn btn-primary btn">Continue</button>
						</div>
			</form>

					</div>
				</div>  
		</div>

		{% endblock %}

